/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2009, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.logging.metadata;

import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlAttribute;

@XmlType(name = "replaceFilterType")
public class ReplaceFilterMetaData extends AbstractSimpleFilterMetaData {
    private String pattern;
    private String replacement;
    private boolean replaceAll;

    public String getPattern() {
        return pattern;
    }

    @XmlAttribute(required = true)
    public void setPattern(final String pattern) {
        this.pattern = pattern;
    }

    public String getReplacement() {
        return replacement;
    }

    @XmlAttribute(required = true)
    public void setReplacement(final String replacement) {
        this.replacement = replacement;
    }

    public boolean isReplaceAll() {
        return replaceAll;
    }

    @XmlAttribute(name = "replace-all")
    public void setReplaceAll(final boolean replaceAll) {
        this.replaceAll = replaceAll;
    }
}
